Bug 1274420 - entry distribution functions should use normalized values
Summary: entry distribution functions should use normalized values
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: 389-ds-base
Version: 7.0
Hardware: Unspecified
OS: Unspecified
low
unspecified
Target Milestone: rc
: ---
Assignee: Noriko Hosoi
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-10-22 16:44 UTC by Noriko Hosoi
Modified: 2020-09-13 21:34 UTC (History)
4 users (show)

Fixed In Version: 389-ds-base-1.3.7.5-4.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-10 14:15:15 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github 389ds 389-ds-base issues 1641 0 None None None 2020-09-13 21:34:03 UTC
Red Hat Product Errata RHBA-2018:0811 0 None None None 2018-04-10 14:16:19 UTC

Description Noriko Hosoi 2015-10-22 16:44:29 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/389/ticket/48310

this search return no entries.
ldapsearch -x -D "uid=User01,cn=users,dc=XXX,dc=XXX" -w XXX -s base -b "uid=user01,cn=users,dc=XXX,dc=XXX"
ldap_bind: No such object (32)
        matched DN: cn=users,dc=XXX,dc=XXX

but this return one entry
ldapsearch -x -D "uid=user01,cn=users,dc=XXX,dc=XXX" -w XXX -s base -b "uid=user01,cn=users,dc=XXX,dc=XXX"
...
# numEntries: 1


error log
...
[13/Oct/2015:12:42:49 +0200] - => send_ldap_search_entry (uid=user01,cn=users,dc=XXX,dc=XXX)
...
[13/Oct/2015:12:42:49 +0200] - mapping tree release backend : backend-users-2
...
[13/Oct/2015:12:42:49 +0200] - => find_entry_internal (dn=uid=User01,cn=users,dc=XXX,dc=XXX) lock 0
[13/Oct/2015:12:42:49 +0200] - => dn2entry_ext "uid=User01,cn=users,dc=XXX,dc=XXX"
...
[13/Oct/2015:12:42:49 +0200] - => dn2ancestor "uid=User01,cn=users,dc=XXX,dc=XXX"
[13/Oct/2015:12:42:49 +0200] - <= dn2ancestor 0
[13/Oct/2015:12:42:49 +0200] - => send_ldap_result 32:cn=users,dc=XXX,dc=XXX:
[13/Oct/2015:12:42:49 +0200] - flush_ber() wrote 37 bytes to socket 317
[13/Oct/2015:12:42:49 +0200] - <= send_ldap_result
[13/Oct/2015:12:42:49 +0200] - <= find_entry_internal_dn not found (uid=User01,cn=users,dc=XXX,dc=XXX)

Comment 4 Simon Pichugin 2017-11-06 15:46:10 UTC
Build tested:
389-ds-base-1.3.7.5-9.el7.x86_64

TET run:
Distrib_Logic run Tests PASS: 100% (10/10)

Marking as VERIFIED - sanity only.

Comment 7 errata-xmlrpc 2018-04-10 14:15:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:0811


Note You need to log in before you can comment on or make changes to this bug.